Bug 483346 - icewm : Unowned directories
Summary: icewm : Unowned directories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: icewm
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Gilboa Davara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-30 20:52 UTC by Michael Schwendt
Modified: 2009-08-25 16:01 UTC (History)
2 users (show)

Fixed In Version: 1.2.37-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-17 15:04:50 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Schwendt 2009-01-30 20:52:59 UTC
One or more directories are not included within this
package and/or its sub-packages:

=> icewm-1.2.36-3.fc11.src.rpm
=> icewm-1.2.36-3.fc11.i386 (rawhide-development-i386)
/usr/share/icewm
/usr/share/icewm/themes

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n icewm

Comment 1 Michael Schwendt 2009-01-30 20:53:46 UTC
=> icewm-1.2.36-3.fc11.src.rpm
=> icewm-clearlooks-1.2.36-3.fc11.i386 (rawhide-development-i386)
/usr/share/icewm
/usr/share/icewm/themes

=> icewm-1.2.36-3.fc11.src.rpm
=> icewm-xdgmenu-1.2.36-3.fc11.i386 (rawhide-development-i386)
/usr/share/icewm

Comment 2 Gilboa Davara 2009-02-17 17:36:12 UTC
OK. It'll be fixed in the next scheduled push. (~two weeks time)

- Gilboa

Comment 3 Bug Zapper 2009-06-09 11:00:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Michael Schwendt 2009-06-16 10:21:36 UTC
=> icewm-1.2.36-4.fc11.src.rpm
=> icewm-1.2.36-4.fc11.i586 (rawhide)
/usr/share/icewm
/usr/share/icewm/themes

=> icewm-1.2.36-4.fc11.src.rpm
=> icewm-clearlooks-1.2.36-4.fc11.i586 (rawhide)
/usr/share/icewm
/usr/share/icewm/themes

=> icewm-1.2.36-4.fc11.src.rpm
=> icewm-xdgmenu-1.2.36-4.fc11.i586 (rawhide)
/usr/share/icewm

Comment 5 Gilboa Davara 2009-07-15 16:51:14 UTC
Gah. Sadly enough, due to unforeseen problems, I never released the latest build. (though it was committed to the CVS).

I'll do my best to fix it ASAP.

- Gilboa

Comment 6 Fedora Update System 2009-07-16 11:07:43 UTC
icewm-1.2.37-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/icewm-1.2.37-1.fc11

Comment 7 Fedora Update System 2009-07-16 11:36:17 UTC
icewm-1.2.37-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/icewm-1.2.37-1.fc10

Comment 8 Fedora Update System 2009-08-05 17:57:20 UTC
icewm-1.2.37-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/icewm-1.2.37-1.el5

Comment 9 Fedora Update System 2009-08-07 04:55:33 UTC
icewm-1.2.37-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-08-07 04:56:11 UTC
icewm-1.2.37-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-08-25 16:01:54 UTC
icewm-1.2.37-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.